Rails.application.routes.draw do
  match 'signup', :to => 'users#new'
  match 'login', :to => 'user_sessions#new'
  match 'logout', :to => 'user_sessions#destroy'

  resources :users do
    member do
      get "change_password"
      put "update_password"
    end
  end
  resources :user_sessions

  match '/forgot_password', :controller => 'password_resets', :action => 'new'
  resources :password_resets
end
