module DoubleAuthEngine
  require "engine" if defined?(Rails) && Rails::VERSION::MAJOR == 3
  require "authlogic"
  require "declarative_authorization"
  require "friendly_id"
  require File.join(File.dirname(__FILE__), "double_auth_engine", "models", "user_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "models", "user_session_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "models", "assignment_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "models", "role_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "controllers", "application_controller_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "controllers", "user_sessions_controller_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "controllers", "users_controller_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "controllers", "password_resets_controller_mixin")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "generators", "double_auth_engine", "install_generator")
  require File.join(File.dirname(__FILE__), "double_auth_engine", "version")
end
